/// <reference types="react" />
import { CommandPaletteItem } from './CommandPalette';
export declare const HeaderContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    rtl: boolean;
    mobileInboxVersion: boolean;
    hasSubMenu?: boolean | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const Separator: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
declare function Header({ onLogout, hasSubMenu, commandItems, }: {
    onLogout: () => void;
    hasSubMenu: boolean;
    commandItems: CommandPaletteItem[];
}): import("@emotion/react/jsx-runtime").JSX.Element;
export default Header;
